import javafx.scene.paint.Color;
import javax.swing.*;
import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
* Clase ventana2
*/
public class ventana2 extends JFrame implements ActionListener{
		
/**
* Panel que se agrega
*/
	JPanelBackground panel;
	
	JButton boton1;
	JButton boton2;
	JButton boton3;
	JButton boton4;
	
	JLabel pregunta;
	JLabel respuesta;
	JLabel label1;
	JLabel label2;
	JLabel label3;
	JLabel label4;

/**
* Contador respuestas
*/
	int R=0; ///respuesta
/**
* Contador preguntas 
*/
	int C=0; //contador pregunta
/**
* Declara la configuración de las preguntas
*/
	int Config; // declara la configuracion de las preguntas
/**
* Rango de las preguntas
*/
	int rand; //rango de preguntas
/**
* Jugador
*/
	usuario us;

/**
* Constructor de la clase ventana2
* @param us1 Usuario jugador
* @param c Contador de preguntas
* @param r Contador de respuestas
* @param P Pregunta
* @param A1 Alternativa 1
* @param A2 Alternativa 2
* @param A3 Alternativa 3
* @param A4 Alternativa 4
* @param nr Rango de las preguntas
*/	
	public ventana2(usuario us1,int c,int r,String P,String A1,String A2,String A3,String A4,int nr){
	
	us = us1;
	R=r;
	C=c;
	Config=us.retc2();
	rand = nr;
	
	this.setTitle("Preguntas y Respuestas 2");
	this.setVisible(true);
	this.setResizable(false);
	this.setExtendedState(MAXIMIZED_BOTH);
	//this.setBounds(50, 50, 500, 500);
		
	panel = new JPanelBackground();
	panel.setLayout(null);
	panel.setBackground("steampunk.jpg");

	
	////////pregunta////////
	pregunta = new JLabel();
	pregunta.setText(P);
	pregunta.setBounds(400, 100, 2000, 100); //x,y,tamaños(x,y)
	//////respuesta///////(esta enlaza otra pregunta, ojo, es un boton)
	respuesta = new JLabel();
	respuesta.setBounds(400, 200, 2000, 100); //x,y,tamaños(x,y)
	
	
	/////boton 1////////
	boton1 = new JButton(new ImageIcon("b1.png"));
	boton1.setRolloverIcon(new ImageIcon("b2.png"));
	boton1.setBorderPainted(false);
	boton1.setBounds(140, 500, 180, 138); //x,y,tamaños(x,y)
	label1 = new JLabel();
	label1.setText(A1);
	label1.setBounds(140, 400, 180, 138); //x,y,tamaños(x,y)
	/////boton 2////////
	boton2 = new JButton(new ImageIcon("b1.png"));
	boton2.setRolloverIcon(new ImageIcon("b2.png"));
	boton2.setBorderPainted(false);
	boton2.setBounds(420, 500, 180, 138); //x,y,tamaños(x,y)
	label2 = new JLabel();
	label2.setText(A2);
	label2.setBounds(420, 400, 180, 138); //x,y,tamaños(x,y)
	/////boton 3////////
	boton3 = new JButton(new ImageIcon("b1.png"));
	boton3.setRolloverIcon(new ImageIcon("b2.png"));
	boton3.setBorderPainted(false);
	boton3.setBounds(720, 500, 180, 138); //x,y,tamaños(x,y)
	label3 = new JLabel();
	label3.setText(A3);
	label3.setBounds(720, 400, 180, 138); //x,y,tamaños(x,y)
	/////boton 4////////
	boton4 = new JButton(new ImageIcon("b1.png"));
	boton4.setRolloverIcon(new ImageIcon("b2.png"));
	boton4.setBorderPainted(false);
	boton4.setBounds(1020, 500, 180, 138); //x,y,tamaños(x,y)
	label4 = new JLabel();
	label4.setText(A4);
	label4.setBounds(1020, 400, 180, 138); //x,y,tamaños(x,y)
	
	
	
	
	this.add(panel); ////agrega el panel
	
	
	panel.add(pregunta);
	panel.add(respuesta);
	
	panel.add(boton1);
	panel.add(boton2);
	panel.add(boton3);
	panel.add(boton4);
	
	panel.add(label1);
	panel.add(label2);
	panel.add(label3);
	panel.add(label4);

	
	///////se agregan los listener///////
	this.boton1.addActionListener(this);
	this.boton2.addActionListener(this);
	this.boton3.addActionListener(this);
	this.boton4.addActionListener(this);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////
	
	///////////////////////////////////////////////////////////////////////////////////////////////////
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/		
	public void actionPerformed(ActionEvent arg0) {
	
		Random rnd = new Random();
		int rd =10+rnd.nextInt(rand);
		
		////////////////////////////////////////////////////////////////
		
		if(arg0.getSource().equals(boton1)){
			boton1.setPressedIcon(new ImageIcon("b3.png"));
			if(R==1){
				this.respuesta.setText("RESPUESTA CORRECTA");
				
				us.addPt2(3); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
				
			}else{
				this.respuesta.setText("RESPUESTA INCORRECTA");
				
				us.addPt2(1); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
				
			}
		}
		if(arg0.getSource().equals(boton2)){
			boton2.setPressedIcon(new ImageIcon("b3.png"));
			if(R==2){
				this.respuesta.setText("RESPUESTA CORRECTA");
				
				us.addPt2(3); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
				
			}else{
				this.respuesta.setText("RESPUESTA INCORRECTA");
				
				us.addPt2(1); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
			}
		}
		if(arg0.getSource().equals(boton3)){
			boton3.setPressedIcon(new ImageIcon("b3.png"));
			if(R==3){
				this.respuesta.setText("RESPUESTA CORRECTA");
				
				us.addPt2(3); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
			}else{
				this.respuesta.setText("RESPUESTA INCORRECTA");
				
				us.addPt2(1); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
			}
		}
		if(arg0.getSource().equals(boton4)){
			boton4.setPressedIcon(new ImageIcon("b3.png"));
			if(R==4){
				this.respuesta.setText("RESPUESTA CORRECTA");
				
				us.addPt2(3); ///suma el puntaje al objeto usuario
				C++;
				////contador de preguntas////
				if(C<Config){
				Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
				ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
				this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
				
			}else{
				this.respuesta.setText("RESPUESTA INCORRECTA");
				
				us.addPt2(1);
				C++;
				////contador de preguntas////
				if(C<Config){
					Vocabulario p1 = new Vocabulario(rd,"preguntas2.txt");
					ventana2 v = new ventana2(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}else{
					C=0;
					Vocabulario p1 = new Vocabulario(rd,"preguntas3.txt");
					ventana3 v = new ventana3(us,C,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
					this.dispose();
				}
				/////////////////////////////////
				
				
			}
		}
	
	}

}